
:disabled {
  background: #dfdfdf;
}
table {
  border:0;
  border-collapse:collapse;
  width: 100%;
}
thead {
position:absolut;
top:0;
background:#eeeeee; 

}
th, td {
  padding: 5px;
  text-align: left;
  border-bottom: 1px solid #ddd;
}

h3 {
  font-family:Arial;
  font-size:14pt;
  font-weight:normal;
  color:rgb(0, 0, 254);
  padding: 5px;
  margin-top: 5px;
  text-align: left;
  border-bottom: 1px solid rgb(0, 0, 254);
}
h4 {
  font-family:Arial;
  font-size:12pt;
  font-weight:normal;
  color:rgb(0, 0, 254);
  padding: 2px;
  text-align: left;
  border-bottom: 1px solid rgb(0, 0, 254);
}

h5 {
  font-family:Arial;
  font-size:11pt;
  font-weight:normal;
  color:rgb(0, 0, 254);
  padding: 2px;
  margin: 1px;
  /*border-bottom: 1px solid rgb(0, 0, 254);*/
}
.infoTxt {
  text-align:center;
  margin-left: 10%;
  margin-right: 10%;
  width:80%;
  padding: 2px;
  margin-top: 1px;
  margin-bottom: 5px;
  border-top: 1px solid rgb(100, 200, 100);
  border-bottom: 1px solid rgb(100, 200, 100);

}
.twoColumns {
  display: grid;
  grid-template-columns: 30% 70%;
}

div.selection {
  display: grid;
  grid-template-columns: 30% 70%;
  border-bottom: 1px solid rgb(0, 0, 254);
  margin-bottom:.8em;
  height:3em
}
div.selection h3{
  border:0;
}
div.selection button{
  margin-top:.5em;
}

div.horLine {
  margin-top:.3em;
  margin-bottom:.3em;
  border-bottom:1px solid rgb(0, 0, 254);
}

.masterDataList {
    cursor:pointer;
    overflow-y:scroll;
    height:500px;

}

.slaveDataList {
  cursor:pointer;
  overflow-y:scroll;
  min-height:30px;
  max-height:350px;

}



.menuButton {

  padding: 4px 4px 4px 4px;
  width:120px;
  margin: 2px;
  /*width:100px;*/
  font-size: 14px;
  text-align: center;
  cursor: pointer;
  outline: none;
  color: rgb(0,0,254);
  background-color: rgb(230,230,230);
  
  border: 1px solid black ;
  /*border-radius: 3px;*/
  box-shadow: 5px 5px 10px grey;
}

button {

  padding: 4px 4px 4px 4px;
  margin: 2px;
  /*width:100px;*/
  font-size: 12px;
  text-align: right;
  cursor: pointer;
  outline: none;
  color: #000;
  background-color: rgb(230,230,230);
  
  border: 1px solid black ;
  border-radius: 3px;
  /*box-shadow: 0 9px #999;*/
}
button:hover {
  background-color: rgb(240,255,240);

}
button:disabled {
  background-color: rgb(198, 201, 198);
  color:rgb(100, 100, 100);

}

#inhaltsbereich_30_form_buttons {
text-align: right;
margin-right:5px;
}

body {
	background-color:#cccccc;
    font-family:Arial;
    font-size:10pt;
    font-weight:normal;
    color:#000000;
}
figure {
  display: inline-block;  
  position: relative;
  margin: 0;
  padding: 5px;
  width: 150px;
  border: 1px solid black;
  background: white;
}

figcaption {
  padding: 5px;
  text-align: center;
}  
.suchfeld {
width:80%;
margin:5px;
}
.suggListButton {
    padding: 0;
    margin: 0;
  font-size: 14px;
  text-align: center;
  cursor: default;
  outline: none;
  color: #000;
  background-color: #cfc;
  border-style: solid;
  border-width: 1px;
  border-color: black;
  /*box-shadow: 0 9px #999;*/
}
.container {
	background: #cccccc;
	margin: 0 auto;
	/*padding: 1em;*/
	max-width:1600px; 
}

/*.container * { padding: 1em; }*/

.header { 
  background-image: url("../pictures/wilhelm_logo80_3.png");
  background-repeat:no-repeat;
  background-size:initial;
  position: relative;
  width: 100%;
 height: 85px;
  top: 4px;
   }
  
.select_row {
    background-color:#f5f5f5;
}

.navigation {
  /*border: 2px outset #dfdfcc;*/
  position: absolute;
  background-color:rgb(221, 221, 255);
  color: rgb(0, 0, 254);
  display: none;
  width: 130px;
  padding: 5px;
  margin-top:4px;
  /*margin-bottom:8px;*/
  box-shadow: 5px 5px 10px grey;

  /*opacity: 0.9;*/
  /*height: 50px;*/
}
.navigationselement {
  border: 2px outset #cccccc;
  position: relative;
  width: 120px;
  margin-top:4px;
  height: 30px;
  float:left;
  padding:4px;
  
}
.navigationselement_c {
  border: 2px inset #cccccc;
  position: relative;
  width: 120px;
  margin-top:4px;
  height: 30px;
  background-color:#eeeeff;
  float:left;
  padding:4px;
  
}

a:link.navigationselement {
	color:#222222; 
	text-decoration:none;
	font-weight:normal; }

a:visited.navigationselement  {
	color:#222222;
	text-decoration:none;
	font-weight:normal; }

a:hover.navigationselement { color:#222222;
	border: 2px outset #cccccc;
	text-decoration:none;
	font-weight:normal;
	background-color:#eeeeff;}

a:active.navigationselement { color:#222222;
	text-decoration:none;
	font-weight:normal; }	   



.mitte { border: 1px inset #cccccc; }
.links { border: 1px inset #cccccc;}

.rechts { border: 1px inset #cccccc; }

@media screen and (min-width: 800px) {
	
	body {margin:1em;}
	
	.content {
		display: flex;
	}
	
	.mitte {
		flex: 1;	
    order: 2;
    padding: 5px;
	}
	
	.links {
		flex: 1;	
		order: 1;
    padding: 5px;
	}
	
	.rechts {
		flex: 1;
		order: 3;
    padding: 5px;
  }
  
  .diagram {
    flex: 4;
    order: 4;
    padding: 5px;
  }
	
}
.vorschlagsliste_hidden {
position:absolute;
left:300px;
top: 150px;
width: 200px;
height:300px;
border: 1px solid black;
display:none;
overflow-y:scroll;
background:#eeeeee; 
cursor: pointer;
}

.inhaltsbereich_30_form {
display:grid;
grid-template-columns:1fr 3fr;
grid-row-gap:5px;
}
.auswertungenPanel {
  display:grid;
  grid-template-columns:1fr 1fr;
  grid-row-gap:5px;
  }
  
.userDocuments { /* popoup Form zum Bearbeiten von tab_persondokument */

  position: absolute;
  padding: 10px;
  display:none;
  left:30%;
  width:40%;
  height:40%;
  top:30%;
  grid-template-columns:1fr 1fr 1fr;
  grid-row-gap:5px;
  border: 2px outset black;
  border-radius: 1em/1em;
  background:hsl(221, 71%, 89%);
  z-index:2;
  opacity:1;
    }

/*.popupForm { 

      position: absolute;
      padding: 10px;
      display:none;
      left:30%;
      width:40%;
      height:40%;
      top:30%;
      grid-template-columns:1fr 1fr 1fr 1fr;
      grid-row-gap:5px;
      border: 2px outset black;
      border-radius: 1em/1em;
      background:hsl(221, 71%, 89%);
      z-index:2;
      opacity:1;
}*/


.popupFrame { /* popoup Form zum Bearbeiten von Rechnungspositionen */

  position: absolute;
  padding: 10px;
  display:none;
  left:30%;
  width:40%;
  height:40%;
  top:30%;
  border: 2px outset black;
  border-radius: 1em/1em;
  background:hsl(221, 71%, 89%);
  z-index:2;
  opacity:1;
}

.popupForm { /* popoup Form */

  position: absolute;
  padding: 10px;
  display:none;
  left:30%;
  width:40%;
  height:60%;
  top: 20%;
  grid-template-columns:1fr 3fr ;
  grid-row-gap:5px;
  border: 1px outset black;
  box-shadow: 5px 5px 10px grey;

    background:hsl(210, 3%, 87%);
  z-index:2;
  opacity:1;
}
.popupFormButtons{
  grid-column:1 / span 2;
  text-align: right;
  margin-right: 5px;

}
.userDocumentsButtons {
  grid-column:1 / span 3;
  text-align: right;
  margin-right: 5px;
}
  
.formField {
    width:90%;
}
.tableField {
  width:90%;
}

.dialogBox {
position:absolute;
left:40%;
width:20%;
height:20%;
top:40%;
border: 1px solid black ;
/*border-radius: 3px;*/
box-shadow: 5px 5px 10px grey;
padding: 10px;
background:hsl(0, 72%, 89%);
display:none;
z-index:20;
opacity:1;
}
.dialogBoxButtons {
  position: absolute;
  bottom: 10px;
  right: 10px;
}

.dialogBoxText {
  font-family:Arial;
  font-size:11pt;
  font-weight:normal;
  color:rgb(0, 0, 254);
  padding: 10px;
}

.grauSchleier {
position:absolute;
width:100%;
height:100%;
background:#999999;
display:none;
opacity:0.7;
z-index:1;
}
/* Auswahlliste einspalitig  */
.singleSelectionBox {
  position:absolute;
  padding:5px;
  top:25%;
  left:25%;
  width:30%;
  height:50%;
  background:#eeeeee; 
  border: 1px outset black;
  display:none;
  z-index:10;
  }

.singleSelectionTable {
  overflow-y:scroll;
  cursor: pointer;
  height:60%;
}

/* Auswahlliste zweispalitig  */
.selectionBox {
  position:absolute;
  top:25%;
  left:25%;
  width:50%;
  height:50%;
  display:none;
  grid-template-columns:1fr 1fr;
  grid-row-gap:5px;
  border: 1px outset black;
  box-shadow: 5px 5px 10px grey;
  background:hsl(210, 3%, 87%);
  z-index:10;
  opacity:1;

  }

  .selectionBoxTitle {
      grid-column:1 / span 2;
      grid-row:1;
      font-family:Arial;
      font-size:11pt;
      font-weight:normal;
      color:rgb(0, 0, 254);
      padding: 10px;
    
  }
  .availibleItemsBox {
  padding:3px;
      grid-column:1 / span 1;
      grid-row:2;
  }    
  .availibleItemsTableBox {
      grid-column:1 / span 1;
      grid-row:3;
      overflow-y:scroll;
      cursor: pointer;
  }    
  .selectedItemsBox {
      grid-column:2 / span 1;
      grid-row:2;
  }
  .selectedItemsTableBox {
      grid-column:2 / span 1;
      grid-row:3;
      overflow-y:scroll;
      cursor: pointer;
  }
  .selectionBoxFooter {
      grid-column:1 / span 2;
      grid-row:4;
      text-align:right;
  }
  .zentriert_30 {
    border:1px solid #dfdfcc;
    position: relative;
    margin-top:10%;
    left:30%;
    width: 30%;
    float:left;
  }
  
  .printButton {

    padding: 4px 4px 4px 4px;
    margin: 2px;
    /*width:100px;*/
    font-size: 12px;
    text-align: right;
    cursor: pointer;
    outline: none;
    color: #000;
    background-color: rgb(230,230,230);
    
    border: 1px solid black ;
    border-radius: 3px;
    /*box-shadow: 0 9px #999;*/
  }
  .printButton:hover {
    background-color: rgb(240,255,240);
  
  }
  .printButton:disabled {
    background-color: rgb(198, 201, 198);
    color:rgb(100, 100, 100);
  
  }
  